/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include <stdio.h>

#include "alloc.h"
#include "matrix.h"
#include "affine.h"
#include "output.h"
#include "cmdline.h"


void print_usage(char *s)
{
  fprintf(stderr, "Usage: %s rsys-p\n", s);
  exit(1);
}

int main(int ac, char **av)
{
  affine *afn;
  
  cmd_init(ac, av);
  afn = cmd_rsys();
  print_affine(afn);

  afn_free(afn);
  memory_report;
  
  exit(0);
}
