#ifndef CMDLINE_H
#define CMDLINE_H

#include "affine.h"
#include "list.h"
#include "weight.h"

extern int optind;

void print_usage(char *progname);

void cmd_init(int _ac, char **_av);
void cmd_error(char *fmt, ...);

affine *cmd_rsys(void);
list *cmd_wge(affine *afn);
vector *cmd_weight(int add, affine *afn);
int cmd_dash(int insist);
char *cmd_file(int insist);

#endif
