#ifndef _FIGLIB_H
#define _FIGLIB_H

#include <stdio.h>

#define FIG_RESOLUTION	1200
#define FIG_CHAR_XSZ	90
#define FIG_CHAR_YSZ	150

extern int fig_xsize;
extern int fig_ysize;

int fig_set_page(char *page_size);
void fig_init(FILE *s);
void fig_line(int x1, int y1, int x2, int y2);
void fig_text(int x, int y, char *s, int center);
void fig_end();

#endif
